Bug 734622 - Request for entry of kernel code snippet in Preface
Summary: Request for entry of kernel code snippet in Preface
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican-redhat
Version: 2.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ruediger Landmann
QA Contact: Jeff Fearn 🐞
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 23:11 UTC by Scott Radvan
Modified: 2015-04-07 03:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-31 23:59:17 UTC


Attachments (Terms of Use)

Description Scott Radvan 2011-08-30 23:11:37 UTC
Description of problem:

Currently the publican-redhat Preface shows a JBoss code snippet/block. During review of our guides, an issue was raised that kernel code might be more representative of the publican-redhat brand and the content under which it is typically written.

How reproducible:

Build guide under publican-redhat brand ( publican-redhat-2.7-2.fc15.noarch )

Actual results:

JBoss code block shown.

Expected results:

Kernel code block shown.

Additional info:

The following code block was sent to me from my SME (ddutile@) for potential inclusion instead of the JBoss code that's currently present:



static int kvm_vm_ioctl_deassign_device(struct kvm *kvm,
                 struct kvm_assigned_pci_dev *assigned_dev)
{
         int r = 0;
         struct kvm_assigned_dev_kernel *match;

         mutex_lock(&kvm->lock);

         match = kvm_find_assigned_dev(&kvm->arch.assigned_dev_head,
                                       assigned_dev->assigned_dev_id);
         if (!match) {
                 printk(KERN_INFO "%s: device hasn't been assigned before, "
                   "so cannot be deassigned\n", __func__);
                 r = -EINVAL;
                 goto out;
         }

         kvm_deassign_device(kvm, match);

         kvm_free_assigned_device(kvm, match);

out:
         mutex_unlock(&kvm->lock);
         return r;
}


Thanks,

Comment 2 Scott Radvan 2013-01-17 00:14:36 UTC
ping, any updates?

Comment 4 Ruediger Landmann 2013-07-31 23:59:17 UTC
Added in publican-redhat-3.1-1


Note You need to log in before you can comment on or make changes to this bug.